Subject: Re: bug#53180: eog 40.3 build error: include file not found

From: Pierre Langlois <[email-masked]>
Date: Tue, 11 Jan 2022 21:23:12 +0000

Hi there,

raid5atemyhomework via Bug reports for GNU Guix <[email-masked]> writes:

>> > > Eog and Epiphany should be fixed with Guix at
>> > > f7afefba00b65e94d073af3af2278a076c89dbc1 or later.
>> >
>> > Ha, it seems I'm late to the party. Thanks Guillaume! Will check.
>>
>> Unfortunately it seems to still be broken for me?
>
> It works with `guix build eog`, but *not* with `guix system build configuration.scm` on my configuration.  Strange.
>
> I already tried a `guix gc` just in case of non-determinism but still the same --- `guix build eog` works, `guix system build configuration.scm` does not.
>
>
> Lemme try to trim down a small OS configuration that triggers this.

Yeah nautilus doesn't build at the moment for a similar reason as eog, I
just posted a patch on https://issues.guix.gnu.org/53195 to fix it. I
can push it shortly.

Thanks,
Pierre